// pages/mistakes/mistakes.js
const APIClient = require('../../utils/APIClient.js');
const login = require('../../utils/loginSchedule.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    mistakesData: [],
    animationData: {},
    flag: [],
    exponentData: [],
    course: ['语文', '数学'],
    courseIndex: 0,
    flag: true
  },

  particulars: function (e) {
    let flage = e.currentTarget.dataset.flag;
    let index = e.currentTarget.dataset.index;
    if(flage){
      this.util('60rpx');
      this.data.flag[index] = false;
      this.setData({
        flag: this.data.flag,
      })
    } else {
      this.data.flag[index] = true;
      this.util('164rpx');
      this.setData({
        flag: this.data.flag,
      })
    }
  },

  /*tab切换*/
  tab (e) {
    const index = e.currentTarget.dataset.index;
    this.setData({
      courseIndex: index
    })
    this.getmistakesData(index + 1)
  },

  /* 创建动画并执行 */
  util (height) {
    // 创建动画实例   
    var animation = wx.createAnimation({  
      duration: 200,  //动画时长  
      timingFunction: "linear", //线性  
      delay: 0  //0则不延迟  
    });
    
    this.animation = animation;

    animation.height(height).step();

    this.setData({  
      animationData: animation.export()  
    })  
  },

  /*请求错题数据*/
  getmistakesData: function (category) {
    login.getOpenidSessionKey(res => {
      APIClient.getErrorsSchedule({
        uid: res.data.data.uid
      },{
        pageNo: 1,
        pageSize: 1000,
        category
      }).success(res => {
        console.log(res.data.data.list)
        this.setData({
          mistakesData: res.data.data.list
        })

        for(let item of  res.data.data.list) {
          this.data.flag.push(false);
        }
        this.setData({
          flag: this.data.flag
        })
      })
      //用户答题指数
      APIClient.getExponentSchedule({
        uid: res.data.data.uid
      }).success(res => {
        console.log(res);
        this.setData({
          exponentData: res.data.data
        })
      })
    }, () => {
      this.setData({
        flag: !this.data.flag
      })     
    });    
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getmistakesData(1)
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  /*获取个人信息弹框*/
  jurisdiction: function () {
    this.setData({
      flag: !this.data.flag
    })
    this.onShow();
  } 
})